Katello - Bug #7074

subscription manager registration fails with undefined method "content_host' for nil:NilClass
08/13/2014 01:41 PM - Justin Sherrill

Status: Closed
Priority: Normal
Assignee:
Category:
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1129813 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/457
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1129813
Description of problem:

Without creating a new 'host’, attempt to register a system with subscription manager:
undefined method “content_host' for nil:NilClass
traceback:

[ERROR 2014-08-13 18:31:16 cp_proxy #10175] NoMethodError: undefined method “content_host' for nil:NilClass |
/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/controllers/katello/api/rhsm/candlepin_proxies_controller.rb:200:in
‘consumer_create' | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/implicit_render.rb:4:in
“send_action' | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:167:in “process_action' |
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rendering.rb:10:in “process_action' |
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:18:in “block in process_action' |
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:560:in “block (3 levels) in run
_3799101404101427526__process_action__3835477456718063510__callbacks'

Version-Release number of selected component (if applicable):

How reproducible:
Always

Steps to Reproduce:
1. Without creating a host record, try to register a content host

Actual results:
Fails with error above

Expected results:
registers correctly

Associated revisions

Revision beb01975 - 08/13/2014 01:55 PM - Justin Sherrill

fixes #7074 - allow registrations even when there is no host

Revision da56e03b - 08/13/2014 02:18 PM - Justin Sherrill
Merge pull request #4578 from jlsherrill/7074

fixes #7074 - allow registrations even when there is no host

History

#1 - 08/13/2014 01:44 PM - The Foreman Bot
https://bugzilla.redhat.com/show_bug.cgi?id=1129813
https://projects.theforeman.org/issues/10175

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/katello/pull/4578 added
- Pull request deleted ()

#2 - 08/13/2014 03:01 PM - Justin Sherrill
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|beb01975b58839b78c43a041f992a144154061fd.

#3 - 08/14/2014 08:54 AM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/22/2014 09:29 AM - Eric Helms

- translation missing: en.field_release set to 13

05/17/2024

22


https://projects.theforeman.org/projects/katello/repository/katello/revisions/beb01975b58839b78c43a041f992a144154061fd
http://www.tcpdf.org

